Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class LoginConfig

    java.lang.Object
      org.apache.catalina.deploy.LoginConfig

public final class LoginConfig
extends java.lang.Object

Representation of a login configuration element for a web application, as represented in a `<login-config>` element in the deployment descriptor.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 18:24:41 -0400 (Sat, 21 Oct 2006) $
Author:
  Craig R. McClanahan

Constructor Summary
`LoginConfig()` Construct a new LoginConfig with default properties.
`LoginConfig(java.lang.String authMethod, java.lang.String realmName, java.lang.String loginPage, java.lang.String errorPage)` Construct a new LoginConfig with the specified properties.

Method Summary
`java.lang.String` | `getAuthMethod()`
`java.lang.String` | `getErrorPage()`
`java.lang.String` | `getLoginPage()`
`java.lang.String` | `getRealmName()`
`void` | `setAuthMethod(java.lang.String authMethod)`
`void` | `setErrorPage(java.lang.String errorPage)`
`void` | `setLoginPage(java.lang.String loginPage)`
`void` | `setRealmName(java.lang.String realmName)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoginConfig

    public LoginConfig()

  Construct a new LoginConfig with default properties.

### LoginConfig

    public LoginConfig(java.lang.String authMethod,
                       java.lang.String realmName,
                       java.lang.String loginPage,
                       java.lang.String errorPage)

  Construct a new LoginConfig with the specified properties.

Parameters:
  `authMethod` - The authentication method
  `realmName` - The realm name
  `loginPage` - The login page URI
  `errorPage` - The error page URI

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

### setAuthMethod

    public void setAuthMethod(java.lang.String authMethod)

### getErrorPage

    public java.lang.String getErrorPage()

### setErrorPage

    public void setErrorPage(java.lang.String errorPage)

### getLoginPage

    public java.lang.String getLoginPage()

### setLoginPage

    public void setLoginPage(java.lang.String loginPage)

### getRealmName

    public java.lang.String getRealmName()

### setRealmName

    public void setRealmName(java.lang.String realmName)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.